---
title: MediaMetadata.artist
slug: Web/API/MediaMetadata/artist
tags:
  - Audio
  - Media
  - Media Session API
  - MediaMetadata
  - Property
  - Reference
  - Video
  - artist
---
<p>{{SeeCompatTable}}{{APIRef("Media Session API")}}</p>

<p><span class="seoSummary">The <strong><code>artist</code></strong> property of the {{domxref("MediaMetaData")}} interface returns or sets the name of the artist, group, creator, etc., of the media to be played.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var artist = mediaMetadata.artist
mediaMetadata.artist = artist</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("String")}} containing the name of the artist.</p>

<h2 id="Examples">Examples</h2>

<p>The following example checks for browser compatibility and sets the current metadata for the media session.</p>

<pre class="brush: js notranslate line-numbers language-js"><code class="language-js"><span class="keyword token">if</span> <span class="punctuation token">(</span><span class="string token">'mediaSession'</span> <span class="keyword token">in</span> navigator<span class="punctuation token">)</span> <span class="punctuation token">{</span>
  navigator<span class="punctuation token">.</span>mediaSession<span class="punctuation token">.</span>metadata <span class="operator token">=</span> <span class="keyword token">new</span> <span class="class-name token">MediaMetadata</span><span class="punctuation token">(</span><span class="punctuation token">{</span>
    title<span class="punctuation token">:</span> <span class="string token">'Unforgettable'</span><span class="punctuation token">,</span>
    artist<span class="punctuation token">:</span> <span class="string token">'Nat King Cole'</span><span class="punctuation token">,</span>
    album<span class="punctuation token">:</span> <span class="string token">'The Ultimate Collection (Remastered)'</span><span class="punctuation token">,</span>
    artwork<span class="punctuation token">:</span> <span class="punctuation token">[</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/96x96'</span><span class="punctuation token">,</span>   sizes<span class="punctuation token">:</span> <span class="string token">'96x96'</span><span class="punctuation token">,</span>   type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/128x128'</span><span class="punctuation token">,</span> sizes<span class="punctuation token">:</span> <span class="string token">'128x128'</span><span class="punctuation token">,</span> type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/192x192'</span><span class="punctuation token">,</span> sizes<span class="punctuation token">:</span> <span class="string token">'192x192'</span><span class="punctuation token">,</span> type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/256x256'</span><span class="punctuation token">,</span> sizes<span class="punctuation token">:</span> <span class="string token">'256x256'</span><span class="punctuation token">,</span> type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/384x384'</span><span class="punctuation token">,</span> sizes<span class="punctuation token">:</span> <span class="string token">'384x384'</span><span class="punctuation token">,</span> type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/512x512'</span><span class="punctuation token">,</span> sizes<span class="punctuation token">:</span> <span class="string token">'512x512'</span><span class="punctuation token">,</span> type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
    <span class="punctuation token">]</span>
  <span class="punctuation token">}</span><span class="punctuation token">)</span><span class="punctuation token">;</span></code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Session','#dom-mediametadata-artist','artist')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaMetadata.artist")}}</p>
</div>
